Package uk.ac.starlink.topcat.plot

# Class AxisZoomRegion

java.lang.Object
uk.ac.starlink.topcat.plot.ZoomRegion
uk.ac.starlink.topcat.plot.AxisZoomRegion

Direct Known Subclasses:
  `AuxLegendZoomRegion`

public abstract class AxisZoomRegion extends ZoomRegion
ZoomRegion for zooming in one dimension (X or Y). A drag in the positive graphics coordinate direction (left-to-right or up-to-down) is a zoom in (magnifying) and a drag in the opposite direction is a zoom out (er, parvifying?).

Since:
  28 Mar 2006
Author:
  Mark Taylor
See Also:
  - `Zoomer`

## Constructor Summary

Constructors
Constructor
Description
`AxisZoomRegion(boolean isX)`
Constructs a new axis zoom region with no target and display regions.
`AxisZoomRegion(boolean isX, Rectangle target, Rectangle display)`
Constructs a new axis zoom region with defined target and display regions.

## Method Summary

Modifier and Type
Method
Description
`ZoomDrag`
`createDrag(Component comp, Point start)`
Returns a new ZoomDrag object appropriate for this region.

### Methods inherited from class uk.ac.starlink.topcat.plot.ZoomRegion

`getCursor, getDisplay, getTarget, setCursor, setDisplay, setTarget, zoomed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AxisZoomRegion

public AxisZoomRegion(boolean isX)
Constructs a new axis zoom region with no target and display regions.

Parameters:
  `isX` - true for X axis zooming, false for Y axis zooming

### AxisZoomRegion

public AxisZoomRegion(boolean isX, Rectangle target, Rectangle display)
Constructs a new axis zoom region with defined target and display regions.

Parameters:
  `isX` - true for X axis zooming, false for Y axis zooming
  `target` - target region (region in which cursor is dragged)
  `display` - display region (region in which zoom box is shown)

## Method Details

### createDrag

public ZoomDrag createDrag(Component comp, Point start)
Description copied from class: `ZoomRegion`
Returns a new ZoomDrag object appropriate for this region.

Specified by:
  `createDrag` in class `ZoomRegion`
Parameters:
  `comp` - component on which the drag is taking place
  `start` - start point for the drag
Returns:
  new drag object